Set an invoice as unpaid
POST/api/invoices/{id}:set-unpaid
Required permissions:
- invoices.edit_sent: allows setting invoices as unpaid.
Request
Path Parameters
Possible values: Value must match regular expression [0-9]+
The ID of the invoice to set as unpaid
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 401
- 403
- 404
- 412
Returns the invoice updated.
- application/json
- Schema
- Example (from schema)
Schema
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: [draft, sent, paid]
The invoice status
The invoice number
The invoice purchase order reference
The invoice value
The invoice custom exchange rate
The invoice issue date
The invoice payment date
The invoice notes
Possible values: >= 1
The ID of the project associated with this invoice
The UID of the budget area associated with this invoice
The ID of the VAT rate associated with this invoice
The ID of the payment term associated with this invoice
{
"id": 1,
"created_at": "2026-03-10T18:18:59.457Z",
"updated_at": "2026-03-10T18:18:59.457Z",
"status": "draft",
"invoice_number": "INV-2024-001",
"purchase_order": "string",
"value": 1000,
"exchange_rate": 0,
"issue_date": "2024-06-15",
"notes": "string",
"project_id": 1,
"budget_area_uid": "string",
"vat_rate_id": 0,
"payment_term_id": 0
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Not found
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "not_found",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "precondition_failure",
"message": "string"
}